# 8. 其他




### wait

```webium.wait.wait()```是[python wait](https://pypi.python.org/pypi/waiting)库的简单封装。

具体实现看[这里](https://github.com/wgnet/webium/blob/ccb09876a201e75f5c5810392d4db7a8708b90cb/webium/wait.py#L7)


### settings

可以看成是webium的全局配置，有下面的一些配置项目，具体看[这里](https://github.com/wgnet/webium/blob/ccb09876a201e75f5c5810392d4db7a8708b90cb/webium/settings.py#L1)

```python
driver_class = Firefox # 默认的driver
implicit_timeout = 30 # 默认的隐式等待时间
wait_timeout = 30 # 等待超时时间

default_search_type = By.ID # 默认的定位策略
```

具体例子

```python
import webium.settings
from selenium.webdriver import Chrome

webium.settings.implicit_timeout = 0
webium.settings.driver_class = Chrome
```





原始封面

![课程图片](https://images.unsplash.com/photo-1573164574397-dd250bc8a598?w=300)


